任务名 = "炼金任务"
FirstObjects(2)
function 前往帮会驻地()
	if 是否在驻地() ~= 1 then
		召唤坐骑(1)
		打印信息("前往帮会城市")
		召唤坐骑(1)
		跨图寻路(237,236,"洛阳")
		对话npc("范纯仁")
		对话选项("进入本帮城市")
		while 是否在驻地() ~= 1 do 延迟(2000) end
	end
end

function 离开帮会地图()
	if 是否在驻地() == 1 then
		召唤坐骑(1)
		地图寻路(98,157)
		延迟(1000)
		点击确定()
		while 是否在驻地() == 1 do 延迟(2000) end
	end
end

function 交任务()
	前往帮会驻地()
	地图寻路(66,135)
	对话npc("戴三金")
	对话选项("#{BHRWSC_110331_187}")
	任务继续()
	完成任务()
end

function 炼金任务()
	local 任务进度 = 取任务进度(任务名)
	if 任务进度 == -1 then
		if GetRoleActive() >= 50 then
			前往帮会驻地()
			地图寻路(66,135)
			召唤坐骑(0)
			对话npc("戴三金")
			对话选项("#{BHRWSC_110331_187}")
			接受任务()
			延迟(1000)
			return 炼金任务()
		else
			打印信息("人物活跃度不足,无法接取任务,离开帮会地图")
			离开帮会地图()
			while 是否在驻地() == 1 do 打印信息("传送中。。") 延迟(2000) end
			跨图寻路(237,236,"洛阳")
			return
		end
	end
	
	if 任务进度 == 0 then
		local 类型 = 取任务参数(任务名,8)
		if 类型 == 1 then
			local ID,Parameters = 取任务参数(任务名,7)
			打印信息("   ID = "..ID..","..Parameters.."   类型 = "..类型)
			if GetMorphBuff() ~= 1 then
				local x,y,NpcName = GetsAlchemyParameters(ID,Parameters)
				打印信息("x = "..x.."  y = "..y.."  NpcName = "..NpcName)
				if NpcName == "" then 打印信息("参数错误。") return end
				召唤坐骑(1)
				地图寻路(x,y)
				召唤坐骑(0)
				DialogueNpc(NpcName)
				对话选项("#{BHRWSC_110331_69}")
			end
			延迟(1000)
			if GetMorphBuff() == 1 then
				交任务()
			end
			return 炼金任务()
		end
	
		if 类型 > 1 then
			if GetMorphBuff() ~= 1 then --
				前往帮会驻地()
				地图寻路(66,135)
				对话npc("戴三金")
				对话选项("#{BHRWSC_110331_178}")
				延迟(1000)
				return 炼金任务()
			end
			
			while 取任务参数(任务名,0) ~= 1 do
				使用快捷键(52)
				延迟(1000)
				local x,y = GetsAlchemyCoordinate(600055)
				打印信息("挖矿坐标x = "..x.."y = "..y)
				地图寻路(x,y)
				--使用技能("挖掘资源",-1)
				使用快捷键(51)
				延迟(11000)
				GetPackageNumber()
			end
			交任务()
			return 炼金任务()
		end
	end
end
打印信息("开始执行[帮会-炼金]脚本")
炼金任务()